Dashboard
Dashboard leaderboards
This endpoint retrieves iframe for leaderboards from TeamCare application.
Parameters
- location_id (required): The ID of the location for which leaderboards dashboard is to be retrieved.
- type (required): Specifies which leaderboard iframe to retrieve. Must be one of the following values:
doctors,hygiene,front_desk,reactivation.
Pass an optional theme object to override the firm’s saved white-label theme for this embed.
POST
/
locations
/
{location_id}
/
dashboard
/
leaderboards
Dashboard leaderboards
curl --request POST \
--url https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"theme": {
"primary_color": "#0b5cab",
"secondary_color": "#f39c12",
"text_color": "#1f2933",
"muted_text_color": "#6b7280",
"background_color": "#f7f8fa",
"surface_color": "#ffffff",
"border_color": "#e5e7eb",
"font_family": "Inter",
"chart_palette": [
"#0b5cab",
"#f39c12",
"#16a34a"
],
"logo_url": "https://example.com/logo.svg",
"hide_powered_by": true
},
"height": "900px"
}
'import requests
url = "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards"
payload = {
"theme": {
"primary_color": "#0b5cab",
"secondary_color": "#f39c12",
"text_color": "#1f2933",
"muted_text_color": "#6b7280",
"background_color": "#f7f8fa",
"surface_color": "#ffffff",
"border_color": "#e5e7eb",
"font_family": "Inter",
"chart_palette": ["#0b5cab", "#f39c12", "#16a34a"],
"logo_url": "https://example.com/logo.svg",
"hide_powered_by": True
},
"height": "900px"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
theme: {
primary_color: '#0b5cab',
secondary_color: '#f39c12',
text_color: '#1f2933',
muted_text_color: '#6b7280',
background_color: '#f7f8fa',
surface_color: '#ffffff',
border_color: '#e5e7eb',
font_family: 'Inter',
chart_palette: ['#0b5cab', '#f39c12', '#16a34a'],
logo_url: 'https://example.com/logo.svg',
hide_powered_by: true
},
height: '900px'
})
};
fetch('https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'theme' => [
'primary_color' => '#0b5cab',
'secondary_color' => '#f39c12',
'text_color' => '#1f2933',
'muted_text_color' => '#6b7280',
'background_color' => '#f7f8fa',
'surface_color' => '#ffffff',
'border_color' => '#e5e7eb',
'font_family' => 'Inter',
'chart_palette' => [
'#0b5cab',
'#f39c12',
'#16a34a'
],
'logo_url' => 'https://example.com/logo.svg',
'hide_powered_by' => true
],
'height' => '900px'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards"
payload := strings.NewReader("{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}"
response = http.request(request)
puts response.read_body{
"iframe": "<iframe src=\"https://app.teamcaredental.com/embedded/...\" width=\"100%\" height=\"900px\" style=\"border:0; overflow:hidden;\"> </iframe>",
"url": "https://app.teamcaredental.com/embedded/..."
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}{
"errors": "Too many locations syncing concurrently. At most 5 locations may have initial sync requests in flight at a time.",
"sync_type": "initial",
"max_concurrent_locations": 5,
"active_location_ids": [
101,
102,
103,
104,
105
],
"retry_after_seconds": 1
}Authorizations
JWT returned by POST /auth/token. Valid for six hours.
Path Parameters
The ID of the location for which leaderboards dashboard is to be retrieved.
Example:
"58"
Query Parameters
Specifies which leaderboard iframe to retrieve. Must be one of the following values: doctors, hygiene, front_desk, reactivation.
Example:
"reactivation"
Body
application/json
⌘I
Dashboard leaderboards
curl --request POST \
--url https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"theme": {
"primary_color": "#0b5cab",
"secondary_color": "#f39c12",
"text_color": "#1f2933",
"muted_text_color": "#6b7280",
"background_color": "#f7f8fa",
"surface_color": "#ffffff",
"border_color": "#e5e7eb",
"font_family": "Inter",
"chart_palette": [
"#0b5cab",
"#f39c12",
"#16a34a"
],
"logo_url": "https://example.com/logo.svg",
"hide_powered_by": true
},
"height": "900px"
}
'import requests
url = "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards"
payload = {
"theme": {
"primary_color": "#0b5cab",
"secondary_color": "#f39c12",
"text_color": "#1f2933",
"muted_text_color": "#6b7280",
"background_color": "#f7f8fa",
"surface_color": "#ffffff",
"border_color": "#e5e7eb",
"font_family": "Inter",
"chart_palette": ["#0b5cab", "#f39c12", "#16a34a"],
"logo_url": "https://example.com/logo.svg",
"hide_powered_by": True
},
"height": "900px"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
theme: {
primary_color: '#0b5cab',
secondary_color: '#f39c12',
text_color: '#1f2933',
muted_text_color: '#6b7280',
background_color: '#f7f8fa',
surface_color: '#ffffff',
border_color: '#e5e7eb',
font_family: 'Inter',
chart_palette: ['#0b5cab', '#f39c12', '#16a34a'],
logo_url: 'https://example.com/logo.svg',
hide_powered_by: true
},
height: '900px'
})
};
fetch('https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'theme' => [
'primary_color' => '#0b5cab',
'secondary_color' => '#f39c12',
'text_color' => '#1f2933',
'muted_text_color' => '#6b7280',
'background_color' => '#f7f8fa',
'surface_color' => '#ffffff',
'border_color' => '#e5e7eb',
'font_family' => 'Inter',
'chart_palette' => [
'#0b5cab',
'#f39c12',
'#16a34a'
],
'logo_url' => 'https://example.com/logo.svg',
'hide_powered_by' => true
],
'height' => '900px'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards"
payload := strings.NewReader("{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/dashboard/leaderboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"theme\": {\n \"primary_color\": \"#0b5cab\",\n \"secondary_color\": \"#f39c12\",\n \"text_color\": \"#1f2933\",\n \"muted_text_color\": \"#6b7280\",\n \"background_color\": \"#f7f8fa\",\n \"surface_color\": \"#ffffff\",\n \"border_color\": \"#e5e7eb\",\n \"font_family\": \"Inter\",\n \"chart_palette\": [\n \"#0b5cab\",\n \"#f39c12\",\n \"#16a34a\"\n ],\n \"logo_url\": \"https://example.com/logo.svg\",\n \"hide_powered_by\": true\n },\n \"height\": \"900px\"\n}"
response = http.request(request)
puts response.read_body{
"iframe": "<iframe src=\"https://app.teamcaredental.com/embedded/...\" width=\"100%\" height=\"900px\" style=\"border:0; overflow:hidden;\"> </iframe>",
"url": "https://app.teamcaredental.com/embedded/..."
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}{
"errors": "Too many locations syncing concurrently. At most 5 locations may have initial sync requests in flight at a time.",
"sync_type": "initial",
"max_concurrent_locations": 5,
"active_location_ids": [
101,
102,
103,
104,
105
],
"retry_after_seconds": 1
}
